package cn.wisenergy.service.app;


import org.springframework.core.io.Resource;
import org.springframework.web.multipart.MultipartFile;

import javax.servlet.http.HttpServletRequest;
import java.util.List;
import java.util.Map;

/**
 * Created by m1991 on 2021/2/24 13:49
 * TODO 资讯Service
 * @author 86187
 */
public interface UploadService {
    /**
     * TODO 视频文件上传   zxUrl, userId,zxName,zxField,imgUrl
     * @param request
     * @return
     */
     Map<String, Object> uploadVideo(MultipartFile file,HttpServletRequest request,String zxField,String zxAddress,String inviteCode) throws Exception;

    /**
     * TODO 图片文件上传
     * @param request
     * @param zxField
     * @param zxAddress
     * @return
     */
     Map<String, Object> uploadImage(MultipartFile file, HttpServletRequest request, String zxField, String zxAddress,String inviteCode) throws Exception;


    /**
     * TODO 多文件上传
     * @param file
     * @return
     */
     List imageUpload( MultipartFile[] file, String zxField, String zxAddress,String inviteCode);




     String storeFile(MultipartFile file);
     Resource loadFileAsResource(String fileName);


    /**
     * TODO 资讯信息展示
     * @param pageNum
     * @param pageSize
     * @return
     */
    Map selectPage(Integer pageNum, Integer pageSize);

    /**
     * TODO 资讯点赞
     * @param zxid
     * @return
     */
    Map Ilike(Integer zxid);

    /**
     * TODO 资讯审核
     * @param zxid
     * @return
     */
    Map toExamine(Integer zxid);


}
